Page MenuHomePhabricator

Investigate copyright status of OBJ format
Closed, ResolvedPublic

Description

Whether OBJ https://en.wikipedia.org/wiki/Wavefront_.obj_file is an "open format" (i.e. compatible with publication and redistribution under open licenses without restriction) isn't clear.

It is unclear whether the format is subject to patents.

We need to answer whether the format can be freely used on Wikimedia Commons in the same manner we do for all the formats we currently support.

Event Timeline

Restricted Application added subscribers: Poyekhali, JEumerus, Aklapper. · View Herald TranscriptSep 13 2016, 10:18 AM
Gilles removed Gilles as the assignee of this task.Sep 14 2016, 8:56 AM

Hi, we have done some research on this matter and it appears OBJ is an open file format. Please contact me about other considerations if you are interested in having commons support this file format.

MarkTraceur closed this task as Resolved.Jan 30 2017, 9:10 PM
MarkTraceur claimed this task.

OBJ would be a good format for open 3D models because it has an exclusively text-based representation, contrary to STL (T143201, T132058), and PLY (T145499), which can be either ASCII or binary. What's more, STL files are often saved in the binary format by default, while providing no no surface distinction --e.g. in the filename extension-- which would allow distinguishing them from the ASCII ones.

OBJ would have similar benefits than SVG, since the contents of the files can be easily introspected and eventually even edited online, to support tweaking or internationalization workflows as currently can be done with SVG files on Commons thanks to tools like TranslateSvg or User:Rillke/SVGedit.js.

waldyrious updated the task description. (Show Details)Feb 19 2017, 1:54 PM